<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_6f65d5feee27b320b6f7785c827" . "62a72" => base64_decode("dXNlcnNfb" . "GlzdC52aX" . "NpYmxl"), "rig" . "hts" => base64_decode("cmlnaHR" . "z"), "_923b46b9" . "6d9db24c4" . "faa35027f" . "c77b71" => base64_decode("Q29udHJvbCBjYW4ndCBpb" . "nB1dCB0aGUgZGF0YQ=="), "_4be538b2f65f8d8f8dde8a91" . "4f610076" => base64_decode("Vmlldw=" . "="));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["rig" . "hts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4be538b2f65f8d8f8dde8a9" . "14f610076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_923b46b96d9db2" . "4c4faa35027fc77" . "b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["righ" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6f65d5feee27b320b6f7785c827" . "62a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4be538b2f65f" . "8d8f8dde8a914" . "f610076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["ri" . "gh" . "ts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}